PHP Manual
Prev |  | Next

# cpdf_page_init

(PHP 3 >= 3.0.8, PHP 4, PHP 5 <= 5.0.4)

cpdf_page_init -- Starts new page

## Description

bool cpdf_page_init ( int pdf_document, int page_number, int orientation, float height, float width [, float unit] )

Starts a new page.

## Parameters

`pdf_document`

  The document handle, returned by cpdf_open().

`page_number`

  The page number

`orientation`

  0 for portrait and 1 for landscape

`height`

  The page height

`width`

  The page width

`unit`

  The unit for the coordinate system. The value should be the number of postscript points per unit. Since one inch is equal to 72 points, a value of 72 would set the unit to one inch. The default is also 72.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

cpdf_set_current_page()

Prev | Home | Next
cpdf_output_buffer | Up | cpdf_place_inline_image